﻿
Partial Class _Default
	Inherits BasePage

	Protected Sub ListView1_ItemCreated(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.ListViewItemEventArgs) Handles ListView1.ItemCreated
		Select Case e.Item.ItemType
			Case ListViewItemType.DataItem
				Dim deleteButton As Button = CType(e.Item.FindControl("DeleteButton"), Button)
				deleteButton.Visible = Roles.IsUserInRole("Managers")
		End Select
	End Sub

	Protected Sub ListView1_DataBound(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListView1.DataBound
		Dim photoAlbumId As Integer = Convert.ToInt32(DropDownList1.SelectedValue)
		Using myDatabaseContext As PlanetWroxDataContext = New PlanetWroxDataContext()

			Dim photoAlbumOwner As String = (From p In myDatabaseContext.PhotoAlbums _
					Where p.Id = photoAlbumId _
					Select p.UserName).Single()

			If User.Identity.IsAuthenticated And (User.Identity.Name = photoAlbumOwner Or _
				User.IsInRole("Managers")) Then
				HyperLink1.Visible = True
				HyperLink1.NavigateUrl = "~/ManagePhotoAlbum.aspx?PhotoAlbumId=" & _
					photoAlbumId.ToString()
			Else
				HyperLink1.Visible = False
			End If
			' Display user's details
			If Not String.IsNullOrEmpty(photoAlbumOwner) Then
				Dim ownerProfile As ProfileCommon = Profile.GetProfile(photoAlbumOwner)
				lblUserName.Text = photoAlbumOwner
				lblBio.Text = ownerProfile.Bio
				plcPhotoAlbumDetails.Visible = True
			Else
				plcPhotoAlbumDetails.Visible = False
			End If

		End Using
	End Sub

End Class
