﻿Partial Class MyProfile
	Inherits BasePage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Not Page.IsPostBack Then
			txtFirstName.Text = Profile.FirstName
			txtLastName.Text = Profile.LastName
			txtDateOfBirth.Text = Profile.DateOfBirth.ToShortDateString()
			txtBio.Text = Profile.Bio
		End If
	End Sub

	Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSave.Click
		If Page.IsValid Then
			Profile.FirstName = txtFirstName.Text
			Profile.LastName = txtLastName.Text
			Profile.DateOfBirth = DateTime.Parse(txtDateOfBirth.Text)
			Profile.Bio = txtBio.Text

			' Clear the existing list
			Profile.FavoriteGenres.Clear()

			' Now add the selected items
			For Each myItem As ListItem In CheckBoxList1.Items
				If myItem.Selected Then
					Profile.FavoriteGenres.Add(Convert.ToInt32(myItem.Value))
				End If
			Next
		End If
	End Sub

	Protected Sub CheckBoxList1_DataBound(ByVal sender As Object, ByVal e As System.EventArgs) Handles CheckBoxList1.DataBound
		For Each myItem As ListItem In CheckBoxList1.Items
			Dim currentValue As Integer = Convert.ToInt32(myItem.Value)
			If Profile.FavoriteGenres.Contains(currentValue) Then
				myItem.Selected = True
			End If
		Next
	End Sub
End Class
